function R = RobGRF( q,dq,ddq,l1,l2,l3,r1,r2,r3,m1,m2,m3,go )

 Mt = m1+m2+m3;
 
%-- COG1 -------------------------------------------------------------------------
 Ac1(1,:) = -r1*cos( q(1,:) ).*dq(1,:).^2-r1*sin( q(1,:) ).*ddq(1,:);
 Ac1(2,:) = -r1*sin( q(1,:) ).*dq(1,:).^2+r1*cos( q(1,:) ).*ddq(1,:);
 
%-- COG2 ------------------------------------------------------------------------- 
 Ac2(1,:) = -l1*cos( q(1,:) ).*dq(1,:).^2-l1*sin( q(1,:) ).*ddq(1,:)...
            -r2*cos( q(1,:)+q(2,:) ).*(dq(1,:)+dq(2,:)).^2-r2*sin( q(1,:)+q(2,:) ).*(ddq(1,:)+ddq(2,:));
 Ac2(2,:) = -l1*sin( q(1,:) ).*dq(1,:).^2+l1*cos( q(1,:) ).*ddq(1,:)...
            -r2*sin( q(1,:)+q(2,:) ).*(dq(1,:)+dq(2,:)).^2+r2*cos( q(1,:)+q(2,:) ).*(ddq(1,:)+ddq(2,:));

%-- COG3 -------------------------------------------------------------------------        
 Ac3(1,:) = -l1*cos( q(1,:) ).*dq(1,:).^2-l1*sin( q(1,:) ).*ddq(1,:)...
            -l2*cos( q(1,:)+q(2,:) ).*(dq(1,:)+dq(2,:)).^2-l2*sin( q(1,:)+q(2,:) ).*(ddq(1,:)+ddq(2,:))...
            -r3*cos( q(1,:)+q(2,:)+q(3,:) ).*(dq(1,:)+dq(2,:)+dq(3,:)).^2-r3*sin( q(1,:)+q(2,:)+q(3,:) ).*(ddq(1,:)+ddq(2,:)+ddq(3,:));
 Ac3(2,:) = -l1*sin( q(1,:) ).*dq(1,:).^2+l1*cos( q(1,:) ).*ddq(1,:)...
            -l2*sin( q(1,:)+q(2,:) ).*(dq(1,:)+dq(2,:)).^2+l2*cos( q(1,:)+q(2,:) ).*(ddq(1,:)+ddq(2,:))...
            -r3*sin( q(1,:)+q(2,:)+q(3,:) ).*(dq(1,:)+dq(2,:)+dq(3,:)).^2+r3*cos( q(1,:)+q(2,:)+q(3,:) ).*(ddq(1,:)+ddq(2,:)+ddq(3,:));            
        
%-- Fora de reacao no solo -----------------------------------------------------        
R(1,:) = m1*Ac1(1,:)+m2*Ac2(1,:)+m3*Ac3(1,:);
R(2,:) = m1*Ac1(2,:)+m2*Ac2(2,:)+m3*Ac3(2,:)+go*Mt;